//
//  Document.m
//  Pods
//
//  Created by Blazej Zyglarski on 11/03/2020.
//

#import "Document.h"

@implementation Document
@synthesize id_;
@synthesize renderer;
@synthesize pages;

- (id) initWithId: (NSString *) id_  renderer: (struct CGPDFDocument *) renderer{
    self = [super init];
        self.id_ = id_;
        self.renderer = renderer;
        self.pages = [[NSArray alloc] initWithObjects: nil count:CGPDFDocumentGetNumberOfPages(renderer)];
    return self;
}

- (size_t) getPagesCount {
    return CGPDFDocumentGetNumberOfPages(renderer);
}
- (NSDictionary*) getInfoMap{
    return @{
        @"id": self.id_,
        @"pagesCount": [NSNumber numberWithUnsignedLong:[self getPagesCount]]
    };
}

-(CGPDFPageRef) openPage: (size_t) number{
    return CGPDFDocumentGetPage(self.renderer, number);
}


@end
