//
//  Page.h
//  Pods
//
//  Created by Blazej Zyglarski on 11/03/2020.
//

#import <Foundation/Foundation.h>
#import "DataResult.h"

NS_ASSUME_NONNULL_BEGIN

typedef enum {
    JPEG,
    PNG
} CompressFormat;

@interface Page : NSObject
@property(atomic) NSString * id_;
@property(nonatomic) NSString * documentId;
@property(nonatomic) CGPDFPageRef renderer;
@property(nonatomic) struct CGRect  boxRect;
@property (readonly, nonatomic) size_t width;
@property (readonly, nonatomic) size_t pageNumber;
@property (readonly, nonatomic) size_t height;
@property (readonly, nonatomic) NSDictionary * infoMap;


- (id) initWithId: (NSString *) id_ documentId:(NSString*) documentID renderer:(CGPDFPageRef) renderer ;

-(DataResult*) renderWidth: (size_t) width height:(size_t) height crop: (CGRect*) crop compressFormat:(CompressFormat) compressFormat backgroundColor: (UIColor*) backgroundColor;
@end

NS_ASSUME_NONNULL_END
